# Disabling auto text copying

If you select text by mouse, it is copied to the clipboard at the same time. To disable the auto text copying, edit the AutoTextCopy line in the [Tera Term] section of the setup file like the following:

    AutoTextCopy=off

    Default:
    AutoTextCopy=on

# Delimiters of a word selected by double clicking

You can select a word by double clicking it with the left mouse button. You can specify delimiter characters for the word selection by editing the DelimList line in the [Tera Term] section of the setup file like the following:

    DelimList=<delimiter characters>

For example:

    DelimList=<>()[]

specifies 6 delimiter characters "<", ">", "(", ")", "[" and "]". Note that the space and "$" characters should be specified as "$20" and "$24":

    DelimList=$20    ; space character

    Default:
    DelimList=$20!"#$24%&'()*+,-./:;<=>?@[\]^`{|}~

In the DelimList line, only singe-byte code characters can be specified. Double-byte code characters (Japanese kanji) are regarded as delimiters. You can make them be non-delimiters by editing the DelimDBCS line like the following:

    DelimDBCS=off

    Default:
    DelimDBCS=on

If you prefer the word selection behavior of earlier Tera Term versions, specify like the following:

    DelimList=$20
    DelimDBCS=off

# Disabling the pop-up menu

When the menu bar is hidden, clicking the left mouse button while pressing the Ctrl key causes the pop-up menu to appear. To disable the pop-up menu, edit the EnablePopupMenu line in the [Tera Term] section of the setup file like the following:

    EnablePopupMenu=off

    Default:
    EnablePopupMenu=on

# Hiding the "Show menu bar" command

When the menu bar is hidden, the "Show menu bar" command appears in the system menu. To hide the "Show menu bar" command, edit the EnableShowMenu line in the [Tera Term] section of the setup file like the following:

    EnableShowMenu=off

    Default:
    EnableShowMenu=on

# Disabling the language mode selection

To disable the language mode selection in the [Setup] General dialog box, edit the LanguageSelection line in the [Tera Term] section of the setup file like the following:

    LanguageSelection=off

    Default:
    LanguageSelection=on

# Maximum scroll buffer size

You can change the maximum scroll buffer size, which can be specified in the [Setup] Window dialog box, by editing the MaxBuffSize line in the [Tera Term] section of the setup file like the following:

    MaxBuffSize=<number of lines>
        (should be less than or equal to 500000)

Note: Tera Term consumes <scroll buffer size> * <terminal width> * 5 bytes of memory for the scroll buffer.

    Default:
    MaxBuffSize=10000

# Nonblinking cursor

You can make the cursor nonblinking by editing the NonblinkingCursor line in the [Tera Term] section of the setup file like the following:

    NonblinkingCursor=on

    Default:
    NonblinkingCursor=off

# Maximum number of lines to move in a jump scrolling

To change the maximum number of lines to move in a jump scrolling, edit the ScrollThreshold line in the [Tera Term] section of the setup file like the following:

    ScrollThreshold=<number of lines>

    Default:
    ScrollThreshold=12

# Disabling text selection when the window is activated by mouse

When the window is inactive, you can activate the window by clicking the text area of window. In the default setup, the text selection is started by this mouse clicking at the same time. To disable the text selection when the window is activated by mouse, edit the SelectOnActivate line in the [Tera Term] section of the setup file like the following:

    SelectOnActivate=off

    Default:
    SelectOnActivate=on

# Title format

To change the title format, edit the TitleFormat line in the [Tera Term] section of the setup file like the following:

You can change the key code for the left mouse button by editing the TEKGINMouseCode line in the [Tera Term] section of the setup file like the following:

    TitleFormat=<format ID>

<format ID> is an integer value. It is treated as bit string.

1st bit (1) | Displays tcp hostname or serial port number
2nd bit (2) | Displays session No.
3rd bit (4) | Displays VT/TEK
4th bit (8) | Displays <host/port> first
5th bit (16) | Displays TCP port number
6th bit (32) | Displays the speed of serial port

Examples of <format ID> are shown as follows.

    Format ID   Title format
    0           <title>
    1           <title> - <host/port>
    2           <title> (session no.)
    3           <title> - <host/port> (session no.)
    4           <title> VT/TEK
    5           <title> - <host/port> VT/TEK
    6           <title> (session no.) VT/TEK
    7           <title> - <host/port> (session no.) VT/TEK
    13          <host/port> - <title> VT/TEK
    29          <host:tcpport/port> - <title> VT/TEK
    45          <host/port:bps> - <title> VT/TEK
    61          <host:tcpport/port:bps> - <title> VT/TEK

    Default:
    TitleFormat=5

# Actual colors of "white" and "black" colored text

The escape sequences "<ESC>[37m" and "<ESC>[30m" make the text color white and black, respectively. Similarly, the escape sequences "<ESC>[47m" and "<ESC>[40m" make the background color white and black, respectively.

Some applications assume that the screen background is black (like real VT100 terminal), and expect that white colored text is visible. However, when the background color of Tera Term is white, therefore white colored text is invisible.

If you edit the UseTextColor line in the [Tera Term] section of the setup file like the following:

    UseTextColor=on

the actual color of "white" colored text (background) becomes a color for "Text" specified in the [Setup] Window dialog box. Similarly, the actual colors for "black" text (background) becomes a color for "Background".

    Default:
    UseTextColor=off

# Space between characters (lines)

To change space between characters (lines), edit the VTFontSpace line in the [Tera Term] section of the setup file like the following:

    VTFontSpace=<dx1>,<dx2>,<dy1>,<dy2>

    Where:
      <dx1>  Left side space for each character in pixels.
      <dx2>  Right side space for each character in pixels.
      <dy1>  Space above each line in pixels.
      <dy2>  Space below each line in pixels.

    Example:
    VTFontSpace=0,1,0,0    1 pixel of right side space for each character.
    VTFontSpace=0,0,1,0    1 pixel of space above each line.

    Default:
    VTFontSpace=0,0,0,0

# Hiding the [Window] menu

To hide the [Window] menu, edit the WindowMenu line in the [Tera Term] section of the setup file like the following:

    WindowMenu=off

    Default:
    WindowMenu=on

# Eterm lookfeel window

To specify the detailed settings for Eterm lookfeel window, edit the [BG] section of the setup file like the following:

BGSPIPath | folder name | This option can specify Susie plugin path to load the image. Susie is Japanese free software.
BGFastSizeMove | On / Off | This option enables Tera Term window moving and resizing to more faster. This feature is valid in Windows dragging mode.
BGFlickerlessMove | On / Off | This option can reduce the flicker of window moving.
BGUseAlphaBlendAPI | On / Off | For debug. Tera Term does not use AlphaBlend API when this option is off.
BGNoFrame | On / Off | Tera Term window is without frame when this option is on and HideTitle option is on. If so, you can resize window with Alt + Shift + LeftDrag.
BGThemeFile | file name | You can specify the theme file. Tera Term will randomly select one of files when the theme file is specify with wildcard.

    Default:
    BGUseAlphaBlendAPI = On
    BGSPIPath = plugin
    BGFastSizeMove = On
    BGFlickerlessMove = On
    BGNoFrame = Off
    BGThemeFile = theme\*.ini

## Configure of theme file

BGReverseTextTone | 0 - 255 | The transparency value of the reverse text.
BGPictureFile | file name | You can specify the image file name merging with the wall paper. Tera Term will randomly select one of files when the wild card is specified. Please specify the relative path from the theme file when you want to use the relative path. The kind of file that Tera Term can load is depend the plugin stored in BGSPIPath. Tera Term can load the bitmap file when there is not plugin.
BGPicturePattern | Stretch Tile Center FitWidth FitHeight AutoFit | You can specify the painting method of the image file. Both FitWidth and FitHeight can expand or reduce the image while the aspect ratio of the image preserves. AutoFit can exchange FitWidth for FitHeight not to generate the space between the window and the image.
BGPictureBaseColor | R, G, B | This color can paint between the image file and the window.
BGPictureTone | 0 - 255 | The transparency value of the image file.
BGFadeTone | 0 - 255 | This option can enable the whole background to fade.
BGFadeColor | R, G, B | This option can configure the fade color.
VTFore, Red ... | R, G, B | This option can configure the text color.

## Extension of theme file

A user can configure the extension of the theme file based on the theme\Advanced.sample file.
For example, an image file(sample.jpg) can be drawn in the Tera Term background. Please specify the .ini file at the BGThemeFile entry of the teraterm.ini file.

    [BG]
    ; Advanced Setting
    ; Image source setting
    ; Type      : Color / Picture / Wallpaper
    : Pattern   : Stretch / Tile / Center / FitWidth / FitHeight / AutoFit
    ; AntiAlias : On / Off
    ; Color     : R,G,B (0-255)
    ; Alpha     : 0-255
    ; File      : wildcard => random select
    ; Dest = (Src1  * Src1Alpha + Dest * (255 - Src1Alpha)) / 255
    ; Dest = (Src2  * Src2Alpha + Dest * (255 - Src2Alpha)) / 255
    BGReverseTextAlpha = 192
    ;
    BGDestType      = Picture
    BGDestFile      = sample.jpg
    BGDestPattern   = AutoFit
    BGDestAntiAlias = On
    BGDestColor     = 0,0,0
    ;
    BGSrc1Type      = Color
    BGSrc1File      =
    BGSrc1Pattern   =
    BGSrc1AntiAlias =
    BGSrc1Color     = 32,32,32
    BGSrc1Alpha     = 64
    ;
    BGSrc2Type      = Color
    BGSrc2File      =
    BGSrc2Pattern   =
    BGSrc2AntiAlias =
    BGSrc2Color     = 32,32,32
    BGSrc2Alpha     = 64

# How to scroll the screen when the window size is maximized

The screen scrolling method can be specified when the window size is maximized.

When the window size is maximized, the screen will be corrupted while the screen is scrolling as same normal window. So, a user can change the method of scrolling method.

- Method 0. Normal scrolling method is used. However, a part of character will be corrupted while scrolling.
- Method 1. Scrolling method until Tera Term 4.94 is used. Character is not corrupted, however the screen flickers and the scrolling speed is slow.
- Method 2. New method since Tera Term 4.95 is used. The screen does not flicker, however bottom line will remain garbage on scrolling back.

The default value is Method 2 when the window size is maximized. If you have a problem by using scrolling, the method can be changed another method.
For example, when the MaximizedBugTweak entry of [Tera Term] section is changed below setting, the Method 1 is used for scrolling.

    MaximizedBugTweak=1

    Default:
    MaximizedBugTweak=2

# Display the cursor even if the window comes out of focus

Tera Term will display the cursor even if the window comes out of focus.
If you want to disable this option, modify a line of KillFocusCursor in [Tera Term] section of setup file as follows.

    KillFocusCursor=off

    Default:
    KillFocusCursor=on

# Fix the initial window position

In order to change the default window position, change values of VTPos line(VT Window) and TEKPos line(TEK Window) at [Tera Term] section inside the setup file.
For example, if you want to set the default VT window position to 200 pixels from the left side of the screen and 100px from the top of the screen, change the setup file as follows.

    VTPos=200,100

The initial position is not fixed and Windows can decide the position by changing the setup file as follows.

    VTPos=-2147483648,-2147483648
    TEKPos=-2147483648,-2147483648

Notice: As described below, if SaveVTPosWinPos is on and at the time of executing "Save setup" or closing VT window, VTPos setting will be overwritten by current window position setting.

    Default:
    VTPos=-2147483648,-2147483648
    TEKPos=-2147483648,-2147483648

# Save the window position

Tera Term does not save the window position when "Save setup" was called.
If you enable this position, current window position is saved to a specified setup file.

Also if this option is enabled, current window position and terminal size are saved to the current setup file when VT window was closed.

    SaveVTWinPos=on

    Default:
    SaveVTWinPos=off

# Change the window icon

Tera Term executable program includes "VT window" icon, "TEK window" icon, and some other icons. If you change the value of VTIcon or TEKIcon, the displaying icon of VT window or TEK window is changed.

For example, to use old icon for VT window, specify like the following:

    VTIcon=VT_CLASSIC

Following icon names are available:

Icon name | Icon
--- | ---
TTERM |
VT |
TEK |
TTERM_CLASSIC |
VT_CLASSIC |
TTERM_3D |
VT_3D |
CYGTERM |
Default | Default("VT" at VT window, "TEK" at TEK window)

Also, the icon of SSH connection can be changed. For example, when the yellow icon(TTSSH2.62 earlier) is specified, please change the SSHIcon entry in the [TTSSH] section in the following:

    SSHIcon=yellow

The SSHIcon can be specified in the following names:

Name | Icon
--- | ---
flat |
green |
yellow |
Default | A default icon(equal to flat)

    Default:
    VTIcon=Default
    TEKIcon=Default
    SSHIcon=Default

# Delay for stating of text selection

You can configure the delay for the start of text selection with the mouse and treat it as a click if the time you drag with the mouse is short.
For example, to handle as a click when the mouse drag time is shorter than 200 msecs, edit the MouseSelectStartDelay line in the [Tera Term] section of the setup file like the following:

    MouseSelectStartDelay=200

    Default:
    MouseSelectStartDelay=0